summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorHugo Osvaldo Barrera2015-06-09 02:24:54 -0300
committerHugo Osvaldo Barrera2015-06-09 02:25:13 -0300
commit7a94055ab8f7573104454a71cba1c0f291c544bb (patch)
treea2d834b19d997ef66ec1300de041731834bc1409
downloadaur-7a94055ab8f7573104454a71cba1c0f291c544bb.tar.gz
Initial commit.
-rw-r--r--.SRCINFO34
-rw-r--r--PKGBUILD38
-rw-r--r--caffeine-ng-git.install13
3 files changed, 85 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7207471dce2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,34 @@
+pkgbase = caffeine-ng-git
+ pkgdesc = Status bar application able to temporarily inhibit the screensaver and sleep mode.
+ pkgver = latest
+ pkgrel = 1
+ url = https://github.com/hobarrera/caffeine-ng
+ install = caffeine-ng-git.install
+ arch = any
+ license = GPL3
+ depends = python-gobject
+ depends = python-xdg
+ depends = python-dbus
+ depends = python-docopt
+ depends = python-ewmh
+ depends = gtk3
+ depends = libnotify
+ depends = python-setproctitle
+ optdepends = libindicator-gtk3: AppIndictor support.
+ provides = caffeine
+ provides = caffeine-bzr
+ provides = caffeine-oneclick
+ provides = caffeine-systray
+ conflicts = caffeine
+ conflicts = caffeine-bzr
+ conflicts = caffeine-oneclick
+ conflicts = caffeine-systray
+ replaces = caffeine-oneclick
+ replaces = caffeine-systray
+ options = !emptydirs
+ options = !libtool
+ source = git+https://git.barrera.io/hobarrera/caffeine-ng.git
+ sha256sums = SKIP
+
+pkgname = caffeine-ng-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8c4fb050cb2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Hugo Osvaldo Barrera <hugo@barrera.io>
+
+pkgname=caffeine-ng-git
+_pkgname=caffeine-ng
+pkgver=latest
+pkgrel=1
+pkgdesc="Status bar application able to temporarily inhibit the screensaver and sleep mode."
+arch=(any)
+url=https://github.com/hobarrera/caffeine-ng
+license=(GPL3)
+depends=(python-gobject python-xdg python-dbus python-docopt python-ewmh gtk3
+ libnotify python-setproctitle)
+optdepends=("libindicator-gtk3: AppIndictor support.")
+conflicts=(caffeine caffeine-bzr caffeine-oneclick caffeine-systray)
+provides=(caffeine caffeine-bzr caffeine-oneclick caffeine-systray)
+replaces=(caffeine-oneclick caffeine-systray)
+options=(!emptydirs !libtool)
+install=$pkgname.install
+source=("git+https://git.barrera.io/hobarrera/caffeine-ng.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd $_pkgname
+ python setup.py build
+}
+
+package() {
+ cd $_pkgname
+ python setup.py install --root="$pkgdir"
+}
diff --git a/caffeine-ng-git.install b/caffeine-ng-git.install
new file mode 100644
index 00000000000..cfa29a3e485
--- /dev/null
+++ b/caffeine-ng-git.install
@@ -0,0 +1,13 @@
+post_install() {
+ gtk-update-icon-cache -qtf usr/share/icons/hicolor
+ update-desktop-database -q
+ glib-compile-schemas usr/share/glib-2.0/schemas
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}